SyntaxElement.Constructor (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## fr.inrialpes.exmo.align.parser
Enum SyntaxElement.Constructor

    java.lang.Object
      java.lang.Enum<SyntaxElement.Constructor>
          fr.inrialpes.exmo.align.parser.SyntaxElement.Constructor

All Implemented Interfaces:
  Serializable, Comparable<SyntaxElement.Constructor>

Enclosing class:
  SyntaxElement

    public static enum SyntaxElement.Constructor

extends Enum<SyntaxElement.Constructor>

Operator to determine how to combine the expressions

Enum Constant Summary
`AND`
`COMP`
`INVERSE`
`JOIN`
`NOT`
`OR`
`REFLEXIVE`
`SYMMETRIC`
`TRANSITIVE`

Method Summary
`static SyntaxElement.Constructor` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SyntaxElement.Constructor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final SyntaxElement.Constructor AND

### OR

    public static final SyntaxElement.Constructor OR

### NOT

    public static final SyntaxElement.Constructor NOT

### COMP

    public static final SyntaxElement.Constructor COMP

### JOIN

    public static final SyntaxElement.Constructor JOIN

### SYMMETRIC

    public static final SyntaxElement.Constructor SYMMETRIC

### REFLEXIVE

    public static final SyntaxElement.Constructor REFLEXIVE

### TRANSITIVE

    public static final SyntaxElement.Constructor TRANSITIVE

### INVERSE

    public static final SyntaxElement.Constructor INVERSE

Method Detail

### values

    public static SyntaxElement.Constructor[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SyntaxElement.Constructor c : SyntaxElement.Constructor.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SyntaxElement.Constructor valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

(C) INRIA & friends, 2003-2010